Subject: Re: ADDING MODULES

From: Jan Wielemaker <[email-masked]>
Date: Mon, 6 Dec 1999 10:01:45 +0100

On Fri, 03 Dec 1999, Cortelli Paolo wrote:
>Hello,
>      I'm using Beta 3.3 for Windows.
>
>      if there is a mistake in the arity in the module definition (I put
>cls/1 in place of cls/0), then there are these problems:
>1) at the first call to another predicate you find an error on cls which is
>   not used by that predicate
>2) if I repeat the query with the module name, it's ok.
>3) if I repeat again without the module name, this time it's ok
>4) my error also influenced visibility: local predicates were accessible
>   without the module name.

I'm trying to get this behaviour, but problably I don't understand the
sequence.  Please include a source file and transscript.

	Regards --- Jan